### Function

# Qmi message_tlv_write_sized_guint

since: 1.12

#### Declaration [src]

    gboolean
    qmi_message_tlv_write_sized_guint (
      QmiMessage* self,
      guint n_bytes,
      QmiEndian endian,
      guint64 in,
      GError** error
    )

#### Description [src]

Appends a `n_bytes`-sized unsigned integer to the TLV being built. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian`.

The value of `n_bytes` can be any between 1 and 8.

Available since: 1.12

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`n_bytes`

  Type: `guint`

  Number of bytes to write.

`endian`

  Type: `QmiEndian`

  Target endianness, swapped from host byte order if necessary.

`in`

  Type: `guint64`

  A #guint64 in host byte order.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the variable is successfully added, otherwise `FALSE` is returned and `error` is set.